//------------------------------------------------------------------------------
//
//  npctrl.c
//  npe
//
//  Created by Shane Saxon on 2/19/10.
//  Copyright Saxon Digital 2010. All rights reserved.
//
//------------------------------------------------------------------------------

#include "npdata.h"
#include "npio.h"
#include "npctrl.h"

#include "io/npglut.h"
#include "ctrl/npengine.h"


//------------------------------------------------------------------------------
void npInitCtrl (void* dataRef)
{
	npInitEngine (dataRef);
}

//------------------------------------------------------------------------------
void npCloseCtrl (void* dataRef)
{
	npCloseEngine (dataRef);
}

//------------------------------------------------------------------------------
int npMainAppLoop (void* dataRef)
{
	int err = 0;

#ifdef _LINUX_
//	MainAppLoopLinux();
#endif

#ifdef _MSW_
//	MainAppLoopMSW();
	npInitGlut (0, 0, dataRef);
	npMainAppLoopGlut (dataRef);
#endif

#ifdef _OSX_
	//	MainAppLoopOSX();
#endif


	return err;
}


//------------------------------------------------------------------------------
void npCtrlCommand (int command, void* dataRef)
{
	switch (command)
	{
		case kFullScreenExit : npGlutFullScreenExit(); break;
	}
}


//------------------------------------------------------------------------------
void npCtrlUpdateData (void* dataRef)
{
	npDataUpdate (dataRef);
}


//------------------------------------------------------------------------------
void npCtrlUpdateEngine (void* dataRef)
{
	npEngineUpdate (dataRef);
}


